"use strict";

exports.__esModule = true;
exports.transform = transform;
exports.conflicts = conflicts;
exports.conflictsAny = conflictsAny;
var punctuationRegex = /[\.\-\_]/g; // matches ".", "-", or "_"

function transform(name) {
  return name.replace(punctuationRegex, "").toLowerCase();
}

function conflicts(nameA, nameB) {
  return transform(nameA) === transform(nameB);
}

function conflictsAny(name, names) {
  var _names$find;

  return (_names$find = names.find(function (item) {
    return conflicts(name, item);
  })) != null ? _names$find : false;
}